{% extends "layout.html.j2" %}

{% block page_title %}Gruppe {{ group.name }}{% endblock %}

{% block main %}

{% if current_user %}
  <div>
    <div class="container">
      <nav class="breadcrumb" aria-label="breadcrumbs">
        <ul>
          <li>Gruppen</li>
          <li>{{ group.name }}</li>
          <li class="is-active"><a href="{{ group.manage_url }}" aria-current="page">Verwaltungslink</a></li>
        </ul>
      </nav>
    </div>
  </div>
{% endif %}

<section class="hero is-primary">
  <div class="hero-body">
    <div class="container">
      <h1 class="title">#{{ group.id }} {{ group.name }}</h1>
      <h1 class="subtitle">Gruppenverwaltung</h1>
    </div>
  </div>
</section>

<section class="section">
  <div class="container">
    <h2 class="title">Perikopen</h2>
  </div>
  <div class="container">
    <table class="table is-fullwidth is-hoverable">
      <thead>
        <tr>
          <th style="width: 1em;" class="has-text-right">#</th>
          <th style="width: 9em;">Bibelstelle</th>
          <th style="min-width: 25%;">Titel</th>
          <th class="has-text-centered">Level</th>
          <th>Beschriftungen</th>
          <th>Zugeordnet am</th>
        </tr>
      </thead>
      <tbody>
        {% for pericope in pericopes %}
          <tr>
            <td style="width: 1em;" class="has-text-right">{{ loop.index }}</td>
            <td>
              <a href="{{ pericope.bibleserver_url }}" title="Auf bibleserver.com lesen" target="_blank">
                {{ pericope }}
              </a>
            </td>
            <td>{{ pericope.title }}</td>
            <td class="has-text-centered has-text-weight-bold">
              {% set level_modifiers = {'1': 'is-link', '2': 'is-info', '3': 'is-primary', '4': 'is-success', '5': 'is-warning'} %}
              <span class="tag is-rounded {{ level_modifiers[pericope.level] }}">{{ pericope.level }}</span>
            </td>
            <td>
              <div class="tags">
                {% for label in pericope.labels %}
                  <span class="tag">{{ label }}</span>
                {% endfor %}
              </div>
            </td>
            <td>{{ pericope.assigned_at | date("%Y-%m-%d %H:%M") }}</td>
          </tr>
        {% else %}
          <tr>
            <td></td>
            <td colspan="8"><em>Keine Perikopen</em></td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</section>
<section class="section">
  <div class="container">
    <h2 class="title">Nutzeraccounts</h2>
    <p>Hier werden die Nutzeraccounts für Minecraft zugeordnet.</p>
  </div>
  <div class="container">
    <form method="post" action="/groups/manage/{{ group.manage_token }}/users">
      <table class="table is-hoverable">
        <thead>
          <tr>
            <th style="width: 1em;" class="has-text-right">#</th>
            <th style="min-width: 8em;">Account</th>
            <!--th style="min-width: 8em;">Name</th-->
            <th style="min-width: 8em;">Hinzugefügt am</th>
          </tr>
        </thead>
        <tbody>
          {% for account in accounts %}
            <tr>
              <td style="width: 1em;" class="has-text-right">{{ loop.index }}</td>
              <td>{{ account.user_handle }}</td>
              <!--td>{{ account.real_name }}</td-->
              <td>{{ account.created_at | date("%Y-%m-%d %H:%M") }}</td>
            </tr>
          {% else %}
            <tr>
              <td></td>
              <td colspan="4"><em>Keine Nutzeraccounts</em></td>
            </tr>
          {% endfor %}
        </tbody>
        <tfoot>
            <tr>
              <td></td>
              <th colspan="4">Neuer Nutzer</th>
            </tr>
            <tr>
              <td></td>
              <td class="field">
                <label class="label">Accountname oder UUID</label>
                <div class="control">
                  <input class="input" type="text" name="user_handle" size="16" title="Accountname in Minecraft" autofocus>
                </div>
              </td>
              <td class="field">
              </td>
              <td class="field">
                <label class="label">&nbsp;</label>
                <div class="control">
                  <input class="button is-primary" type="submit" value="Eintragen" />
                </div>
              </td>
            </tr>
        </tfoot>
      </table>
    </form>
  </div>
</section>
<section class="section">
  <div class="container">
    <h2 class="title">Zugangsdaten</h2>
    <p></p>
    <a class="button is-info" href="https://holyblocks.de/anleitungen">Hilfe</a>
  </div>
  <div class="container content">
    <div class="columns">
      <div class="column">
        <h3>TeamSpeak</h3>
        <dl>
          <dt>Server-Addresse</dt>
          <dd>{{ credentials.teamspeak.host }}:{{ credentials.teamspeak.port }}</dd>
          <dt>Server-Passwort</dt>
          <dd>{{ credentials.teamspeak.server_password }}</dd>
          <dt>Gruppen-Channel</dt>
          <dd>{{ group.credentials.teamspeak.channel }}</dd>
          <dt>Channel-Passwort</dt>
          <dd>{{ group.credentials.teamspeak.password }}</dd>
        </dl>
      </div>
      <div class="column">
        <h3>Minecraft</h3>
        <dl>
          <dt>Server-Addresse</dt>
          <dd>{{ credentials.minecraft.host }}:{{ credentials.minecraft.port }}</dd>
        </dl>
      </div>
    </div>
  </div>
</section>
{% endblock %}
